program Projekt_05;

{$APPTYPE CONSOLE}

uses
  SysUtils;
type
  Student = record
    Imie: ShortString;
    Nazwisko: ShortString;
    EgzaminMatematyka: Single;
    EgzaminFizyka: Single;
    EgzaminInformatyka: Single;
    JakiStudent: ShortString;
    case Telefon: Boolean of
      true: (Numer: ShortString);
      false:(email: ShortString)
  end;
var
  DaneOsobowe: Student;
begin
  DaneOsobowe.Imie:='Janek';
  DaneOsobowe.Nazwisko:='Wackowski';
  DaneOsobowe.EgzaminMatematyka:=2;
  DaneOsobowe.EgzaminFizyka:=2;
  DaneOsobowe.EgzaminInformatyka:=2.5;
  DaneOsobowe.JakiStudent:='Kiepski student';

  DaneOsobowe.Telefon := false;
  if (DaneOsobowe.Telefon) then
    DaneOsobowe.Numer:='0901 999 999'
    else
      DaneOsobowe.email:='Janek@poczta.pl';

  Writeln('Imie: ',DaneOsobowe.Imie);
  Writeln('Nazwisko: ', DaneOsobowe.Nazwisko);
  Writeln('Egz. Informatyka: ',
          DaneOsobowe.EgzaminInformatyka:5:2);
  Writeln('Opinia: ', DaneOsobowe.JakiStudent);
  Writeln('Telefon(e-mail): ', DaneOsobowe.Numer);

  ReadLN;
end.

